#!/bin/bash
# 
# SCRIPT NAME:
# music.sh
#
# AUTHOR:
# Severin Kaderli <severin.kaderli@gmail.com>
#
# DESCRIPTION:
# Prints out the title of the current playing song using cmus-remote.
#
# USAGE:
# ./music.sh

QUERY="$(cmus-remote -Q)"

STATUS="$(echo "$QUERY" | grep -e "status " | cut -d " " -f 2)"
ARTIST="$(echo "$QUERY" | grep -e " artist " | cut -d " " -f 3-)"
ALBUM="$(echo "$QUERY" | grep -e " album " | cut -d " " -f 3-)"
TITLE="$(echo "$QUERY" | grep -e " title " | cut -d " " -f 3-)"
position="$(echo "$QUERY" | grep -e "position " | cut -d " " -f 2)"
duration="$(echo "$QUERY" | grep -e "duration " | cut -d " " -f 2)"

if [ "$STATUS" != "playing" ]; then
	OUTPUT="Not playing"
else
	pos_minutes=$(printf "%02d" $(("$position" / 60)))
	pos_seconds=$(printf "%02d" $(("$position" % 60)))

	dur_minutes=$(printf "%02d" $(("$duration" / 60)))
	dur_seconds=$(printf "%02d" $(("$duration" % 60)))

	OUTPUT="$ARTIST | $ALBUM | $TITLE | $pos_minutes:$pos_seconds / $dur_minutes:$dur_seconds"
fi

echo "$OUTPUT"
