#!/bin/bash
# 
# SCRIPT NAME:
# watch.sh
#
# AUTHOR:
# Severin Kaderli <severin.kaderli@gmail.com>
#
# DESCRIPTION:
# This script watches a file for changes and if it changes it
# executes the given command.
#
# USAGE:
# ./watch.sh FILE COMMAND...
. utils.sh

# The file to watch
FILE="${1}"
FILENAME=$(basename "${FILE}")

# The rest of the arguments is the command
shift
COMMAND="${*}"

print_section "Watching ${FILE}"
while inotifywait -qq -e close_write "${FILE}";
do
    print_notify "${FILENAME} has changed" "Executing command"
    $COMMAND
done